import { Routes } from '@angular/router';
import { PolicyComponent } from './policies/policy/policy.component';
import { AuthUserGuard } from './shared/auth/auth.user.guard';
import { LoginComponent } from './auth/login/login.component';
import { TtsLoginComponent } from './auth/tts-login/tts-login.component';
import { TwitchAuthCallbackComponent } from './twitch-auth-callback/twitch-auth-callback.component';
import { FiltersComponent } from './tts-filters/filters/filters.component';
import { AuthAdminGuard } from './shared/auth/auth.admin.guard';
import { AuthVisitorGuard } from './shared/auth/auth.visitor.guard';
import { ActionsComponent } from './actions/actions/actions.component';

export const routes: Routes = [
  {
    path: 'policies',
    component: PolicyComponent,
    canActivate: [AuthUserGuard],
  },
  {
    path: 'filters',
    component: FiltersComponent,
    canActivate: [AuthUserGuard],
  },
  {
    path: 'actions',
    component: ActionsComponent,
    canActivate: [AuthAdminGuard],
  },
  {
    path: 'login',
    component: LoginComponent,
    canActivate: [AuthVisitorGuard],
  },
  {
    path: 'tts-login',
    component: TtsLoginComponent,
    canActivate: [AuthUserGuard],
  },
  {
    path: 'auth',
    component: TwitchAuthCallbackComponent,
    canActivate: [AuthVisitorGuard],
  }
];
