import { Component, Inject, OnDestroy, OnInit, PLATFORM_ID } from '@angular/core';
import { PolicyAddFormComponent } from "../policy-add-form/policy-add-form.component";
import { PolicyTableComponent } from "../policy-table/policy-table.component";
import { Policy, PolicyScope } from '../../shared/models/policy';
import { isPlatformBrowser } from '@angular/common';
import { HermesClientService } from '../../hermes-client.service';
import { Router, RouterModule } from '@angular/router';

@Component({
    selector: 'policy',
    imports: [RouterModule, PolicyAddFormComponent, PolicyTableComponent],
    templateUrl: './policy.component.html',
    styleUrl: './policy.component.scss'
})
export class PolicyComponent implements OnInit, OnDestroy {
    private isBrowser: boolean;
    items: Policy[];


    constructor(private client: HermesClientService, private router: Router, @Inject(PLATFORM_ID) private platformId: Object) {
        this.isBrowser = isPlatformBrowser(this.platformId)

        this.items = []
    }

    get policies() {
        return this.items;
    }

    ngOnInit(): void {
        if (!this.isBrowser)
            return;

        if (!this.client.logged_in) {
            this.router.navigate(["/tts-login"]);
            return;
        }
    }

    ngOnDestroy() {
    }
}